function injectChatPlusMenuOnComposer() {
  if ($(document).find(".popOver-button").length == 0) {
    $(".CfUpN").prepend(
      `<span class="popOver-button" title="${LOGO_TEXT}">
        <span class="cp-icon cp-icon-popOver" title="${LOGO_TEXT}">
          CP
        </span>
        <div class="popOver">
          <ul class="popOver-ul"></ul>
        </div>
        <svg xmlns="http://www.w3.org/2000/svg" height="24" width="24">
          <path d="m10 19-2.5-5.5L2 11l5.5-2.5L10 3l2.5 5.5L18 11l-5.5 2.5Zm8 2-1.25-2.75L14 17l2.75-1.25L18 13l1.25 2.75L22 17l-2.75 1.25Z" />
        </svg>
      </span>`
    );

    $(".popOver-button").mousedown((event) => {
      event.preventDefault();
      $(".popOver").toggleClass("popOver-open");
      $(".popOver-button").toggleClass("popOver-selected");
    });

    $(document).click((event) => {
      try {
        const isClickInside = $(".CfUpN")[0].contains(event.target);

        if (!isClickInside) {
          $(".popOver").removeClass("popOver-open");
          $(".popOver-button").removeClass("popOver-selected");
          $(".textTransformPopOver").removeClass("textTransformPopOver-open");
        }
      } catch (error) {}
    });
  }
}
