function injectAudioRcorder() {
  if ($(document).find("li#audio").length === 0) {
    $("ul.popOver-ul").prepend(
      `<li class="popOver-li" id="audio" title="Audio record">
        <svg
          class="popOver-image"
          xmlns="http://www.w3.org/2000/svg"
          height="24"
          width="24"
        >
          <path d="M12 14q-1.25 0-2.125-.875T9 11V5q0-1.25.875-2.125T12 2q1.25 0 2.125.875T15 5v6q0 1.25-.875 2.125T12 14Zm0-6Zm-1 13v-3.075q-2.6-.35-4.3-2.325Q5 13.625 5 11h2q0 2.075 1.463 3.537Q9.925 16 12 16t3.538-1.463Q17 13.075 17 11h2q0 2.625-1.7 4.6-1.7 1.975-4.3 2.325V21Zm1-9q.425 0 .713-.288Q13 11.425 13 11V5q0-.425-.287-.713Q12.425 4 12 4t-.712.287Q11 4.575 11 5v6q0 .425.288.712.287.288.712.288Z" />
        </svg>
      </li>`
    );

    $("li#audio").mousedown((event) => {
      // chrome.storage.local.clear();

      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          addAnalytics("audio_record");
          event.stopPropagation();

          //query the tab id and then open the recorede.html
          chrome.runtime.sendMessage({ type: "getTabId" }, (response) => {
            window.open(
              chrome.runtime.getURL(
                `/pages/record-audio/recorder.html?tabId=${response}`
              ),
              "_blank",
              "width=733,height=572,top=100,left=100"
            );
          });
        }
      });
    });

    $("li#audio").hover(() => {
      $(".textTransformPopOver").removeClass("textTransformPopOver-open");
    });
  }
}

chrome.runtime.onMessage.addListener(function (request) {
  if (request.type === "audio") {
    const audioUrl = request.message;
    const messageText = $(".T2Ybvb").text();

    $(".T2Ybvb").text(messageText ? `${messageText}\n${audioUrl}` : audioUrl);
  }
});
