function injectCode() {
  if ($(document).find(".code").length === 0) {
    $(".Erb9le").append(
      `<div class="code" title="Code">
          <span class="cp-icon" title="${LOGO_TEXT}">CP</span>
          <svg
            class="code-svg"
            xmlns="http://www.w3.org/2000/svg"
            height="24"
            width="24"
          >
            <path d="m8 18-6-6 6-6 1.425 1.425-4.6 4.6L9.4 16.6Zm8 0-1.425-1.425 4.6-4.6L14.6 7.4 16 6l6 6Z" />
          </svg>
        </div>`
    );

    $(".code").mousedown((event) => {
      (async () => {
        const userToken = await chrome.runtime.sendMessage({
          type: "userToken",
        });

        if (!userToken) {
          showLoginModal();
          return;
        }
      })();

      event.preventDefault();
      addAnalytics("code");
      const selectedText = window.getSelection().toString();

      if (selectedText) {
        const splittedHtml = selectedText.split("\n").map((text) => {
          return `<code class="code-wrapper">${text.replaceAll(
            "<",
            "&lt;"
          )}</code>`;
        });
        pasteHtmlAtCaret(splittedHtml.join("\n"), false);
      } else {
        pasteHtmlAtCaret(`<code class="code-wrapper"> </code>`, true);
      }
    });
  }
}
