function injectMessageContextMenu(elem) {
  if ($(elem).find("div.messageContext").length == 0) {
    let secondMessageContextBtn = $(elem)
      .find("div[aria-label='Add reaction'], div[aria-label='Add Reaction']")
      .parent()
      .next();

    let messageContext = $(secondMessageContextBtn)
      .clone()
      .insertBefore(secondMessageContextBtn)
      .append(
        `<span
            class="cp-icon cp-icon-messageContext"
            title='${LOGO_TEXT}'
          >
            CP
          </span>`
      )
      .attr("class", "messageContext")
      .attr("jslog", "")
      .attr("jsaction", "")
      .attr("jsname", "")
      .attr("aria-label", "messageContext")
      .attr("data-tooltip", "messageContext")
      .attr("data-id", "messageContext")
      .attr("title", LOGO_TEXT);
    $(messageContext)
      .find("svg")
      .replaceWith(
        `<svg xmlns="http://www.w3.org/2000/svg" height="24" width="24"><path d="m10 19-2.5-5.5L2 11l5.5-2.5L10 3l2.5 5.5L18 11l-5.5 2.5Zm8 2-1.25-2.75L14 17l2.75-1.25L18 13l1.25 2.75L22 17l-2.75 1.25Z"/></svg>`
      );

    $(elem)
      .find(".HO0hcf")
      .append(
        `<div class="messageContext-container">
            <ul class="messageContext-ul"></ul>
          </div>`
      );

    injectReminder(messageContext, elem);
    injectCopyLink(elem);
    injectQuote(messageContext, elem);
    injectDecrypt(messageContext, elem);

    $(elem)
      .find(".HO0hcf")
      .find(".messageContext")
      .mousedown((event) => {
        event.preventDefault();
        $(".messageContext-container").toggleClass("messageContext-show");
      });

    $(elem)
      .find(".YJxKBc")
      .click(() => {
        $(".messageContext-container").removeClass("messageContext-show");
      });

    $(elem)
      .find("div[jsname='oaLnEd']")
      .hover(() => {
        $(".messageContext-container").removeClass("messageContext-show");
      });
  }
}
