function injectQuotePreview() {
  if ($(".PhFuQe.yXgmRe .dJ9vNe").find(".quote-preview").length == 0) {
    $(".PhFuQe.yXgmRe .dJ9vNe").append(
      "<div class='quote-preview'><span class='close'>✕</span><div class='message'></div></div>"
    );
    $(".quote-preview .close").click(function () {
      $(this).closest(".quote-preview").removeClass("active");
    });
  }
}

function getSelectionText() {
  var text = null;
  if (window.getSelection) {
    text = window.getSelection().toString();
    window.getSelection().empty();
  } else if (document.selection && document.selection.type != "Control") {
    text = document.selection.createRange().text;
  }

  return text;
}

function getQuotedMessage(ele) {
  let text = $(ele)[0].innerText;
  let html = $(ele)[0].innerHTML;

  if (html.includes("img")) {
    let images = $(ele)[0].querySelectorAll("img");

    html.match(/<img [^>]*>?/gm)?.forEach((element, index) => {
      text = html.replace(element, images[index]["ariaLabel"]);
    });
  }

  text = text.replaceAll("·`·", "");
  text = text.replaceAll("·*·", "");
  text = text.replaceAll("·_·", "");
  text = text.replaceAll("·~·", "");
  text = text.replaceAll("```", "");
  return text;
}

// chrome.storage.local.clear();

function getCOMPOSEBOX(that) {
  let composebox = $(that).closest("c-wiz.PhFuQe");
  if (composebox.length > 0) {
    return composebox;
  } else {
    composebox = $(that)
      .closest("div.Bqp03e[data-soft-view-id]")
      .find("c-wiz.PhFuQe");
    if (composebox.length > 0) {
      return composebox;
    }
  }
}

function injectSnackbar() {
  if ($("#snackbar").length == 0) {
    $("body").append(`<div id="snackbar"></div>`);
  }
}

let isEmailTallied = false;

function getEmailFromDOM() {
  if (!inIframe()) {
    if (!isEmailTallied) {
      const aTags = document.querySelectorAll("a");

      aTags.forEach((tag) => {
        const ariaLabel = tag?.ariaLabel;

        if (ariaLabel) {
          if (ariaLabel.includes("Google Account:")) {
            let emailFromDOM = ariaLabel.match(
              /([a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.[a-zA-Z0-9_-]+)/gi
            )[0];

            chrome.storage.local.get(["email"], (result) => {
              if (result.email !== emailFromDOM) {
                chrome.storage.local.clear();
              }
            });

            isEmailTallied = true;
          }
        }
      });
    }
  }
}

setInterval(() => {
  injectQuotePreview();
  injectLocationSharing();
  injectAudioRcorder();
  injectEncrypter();
  injectTextTransformer();
  bindEventToMessageComposeElement();
  injectSnackbar();
  injectChatPlusMenuOnComposer();
  injectCode();
  injectCodeBlock();
  initiateSmartPreview();
  getEmailFromDOM();
}, 1000);
